<?php
require __DIR__ . '/../../vendor/autoload.php';

include('Dependences.php');

class Autoloader {

    function __construct() {
        $path = __DIR__ . '/classes/';
        $scan = scandir($path);
        if (is_array($scan)) {
            foreach ($scan as $file) {
                if (preg_match('/.php$/', $file)) {
                    include($path . '/' . $file);
                }
            }
        }
    }
}
try {
    new Autoloader();
} catch (Exception $ex) {
    var_dump($ex->getMessage());
}